package mildo.wiwo.persistence;

import mildo.wiwo.data.WiwoPage;

import com.webobjects.eocontrol.EOEditingContext;
import com.webobjects.foundation.NSArray;

import and.wo.eof.EOFHelper;

public class PersistHelper 
	extends EOFHelper
{

	public PersistHelper(EOEditingContext aCtx) {
		super(aCtx);
	}
	
	public NSArray fetchPages4Name(String aName, NSArray aSortOrder) {
		return WiwoPage.fetchWiwoPages(editingContext, PersistHelper.makeFullLikeQualifier("name", aName), aSortOrder);
	}
	
}
